Strophe 0.13 XMPP client library

Data Fields
conn_interface Struct Reference

`#include <common.h>`

## Data Fields
int(* | read )(struct conn_interface *intf, void *buff, size_t len)
int(* | write )(struct conn_interface *intf, const void *buff, size_t len)
int(* | flush )(struct conn_interface *intf)
int(* | pending )(struct conn_interface *intf)
int(* | get_error )(struct conn_interface *intf)
int(* | error_is_recoverable )(struct conn_interface *intf, int err)
xmpp_conn_t * | conn

## Field Documentation

## ◆ read

int(* conn_interface::read) (struct conn_interface *intf, void *buff, size_t len)

## ◆ write

int(* conn_interface::write) (struct conn_interface *intf, const void *buff, size_t len)

## ◆ flush

int(* conn_interface::flush) (struct conn_interface *intf)

## ◆ pending

int(* conn_interface::pending) (struct conn_interface *intf)

## ◆ get_error

int(* conn_interface::get_error) (struct conn_interface *intf)

## ◆ error_is_recoverable

int(* conn_interface::error_is_recoverable) (struct conn_interface *intf, int err)

## ◆ conn

xmpp_conn_t* conn_interface::conn

The documentation for this struct was generated from the following file:

- common.h